%define new_name epplets

Name: Epplets
Summary: Applets for enlightenment
Version: 0.7
Release: 1mdk
Source: %{new_name}-%{version}.tar.bz2 
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	gcc
BuildRequires:	libesound-devel
BuildRequires:	libjpeg-static-devel	
BuildRequires:	imlib-devel
BuildRequires:	texinfo
BuildRequires:	libMesaglut-devel
#Obsoletes: Epplets
#Provides: Epplets = %{version}
License: GPL
Prefix: /usr/X11R6
%description
An epplet is an applet designed specificly for use with enlightenment
This packages contains several, two cpu load meters, two clocks, a network
load monitor, aswell as a E-Biff

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{new_name}-%{version}

%build
export EROOT=%{prefix}/share/enlightenment
export EBIN=%{prefix}/bin
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --enable-fsstd

perl -p -i -e 's/ppp0/lo/g' epplets/E-NetGraph.c

%make

%install
mkdir -p $RPM_BUILD_ROOT/%{prefix}
export EROOT=$RPM_BUILD_ROOT%{prefix}/share/enlightenment
export EBIN=$RPM_BUILD_ROOT%{prefix}/bin
#perl -p -i -e 's/\$\(EROOT\)\//\$\(DESTDIR\)\/\$\(EROOT\)\//g' epplets/Makefile
make install DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT/usr/X11R6/share/enlightenment/epplet_icons
for f in `find . -name '*.icon'`; do
  convert -geometry 16x16 $f $f.png
  mv -f $f.png $f
done

%post -p /sbin/ldconfig   
     
%postun -p /sbin/ldconfig  
%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root)
%prefix/bin/*
%prefix/include/*
%dir %prefix/lib/* 
%dir %prefix/share/enlightenment
%prefix/share/enlightenment/epplet*


%changelog
* Sun Jan 18 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.7-1mdk
- 0.7
- prefix=/usr/X11R6
- change placement in spec of post postun
- add version tag to provides
- From Olivier Blin <blino@mandrake.org> :
    - BuildRequires libMesaglut-devel

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-11mdk
- Fix buildrequires

* Fri Jul 18 2003 David BAUDENS <baudens@mandrakesoft.com> 0.5-10mdk
- Rebuild

* Tue May 28 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5-9mdk
- BuildRequires (fix lib policy 9.0 breakage)

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5-8mdk
- BuildRequires

* Sun Dec  2 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5-7mdk
- Copyright --> License
- fix %files section (this packages doen't own /usr/bin, etc)
- Capitalize %%description (rpmlint)
- fix permisions on source + .spec file (rpmlint)
- change name of .spec file (rpmlint)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.5-6mdk
- libtoolization and make macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-5mdk
- automatically added BuildRequires

* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-4mdk
- clean spec.
- resize icons to fit in menu.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- fixed group.

* Wed Dec 15 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Ooops, do not install files to /home (bad bad axalon)

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.5
- rpmlint says strip, we strip
- patch E-NetGraph to default to loopback so it doesn't just exit

* Sun Oct 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Make a specfile..
